Bug 999701 - [RFE] Provide a method to easily rename a VLAN
[RFE] Provide a method to easily rename a VLAN
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Andrew Cathrow
Meni Yakove
network
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 17:42 EDT by Kevin Clevenger
Modified: 2016-02-10 14:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-22 05:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nyechiel: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Kevin Clevenger 2013-08-21 17:42:15 EDT
Description of request:

In order to rename a VLAN a user has to put host in maintenance mode, do the rename and then take out of maintenance mode. The customer would like the host to be put into maintenance mode automatically after confirmation rather than requiring all steps to be done manually.
Comment 1 Dan Kenigsberg 2013-10-03 06:40:57 EDT
I do not understand the requirement. Does the customer want to change the name of the vlan device? Why is it helpful? Could you detail the all the steps that are done manually?

Could it be that what the customer wants is to have a network connected to a specific host with a vlan id that is different from the one defined in Engine?
Comment 2 lpeer 2013-10-03 06:47:46 EDT
I assume that by 'rename a vlan' you mean edit the network on the engine and change the vlan id, which requires setting the hosts to maintenance as a prerequisite.

I think we should focus on making the network-edit operations live and not require that hosts would be moved to maintenance.
Comment 4 Itamar Heim 2013-11-30 14:40:51 EST
is this not "edit provisioned network"?
http://lists.ovirt.org/pipermail/arch/2013-November/001717.html
Comment 5 Moti Asayag 2013-12-01 05:55:50 EST
(In reply to Itamar Heim from comment #4)
> is this not "edit provisioned network"?
> http://lists.ovirt.org/pipermail/arch/2013-November/001717.html

The demands of the current RFE are consist of:

1. renaming the logical network
2. renaming the vm/template nics which are using the network
3. reconfiguring the network on hosts according to its new name

The first step is currently blocked if vms are using the network. We can narrow this limitation to no running vms using the network (or no active device using the network, meaning vm can run, but the specific vnic should be unplugged).

The second step is covered by vnic profiles which abstracts the network name from the vnic.

As a result of network renaming, vdsm should delete the previous bridge and create a new one with by the new name, to which the vms should be connected once started.

The third step was mentioned as unsupported in the feature page [1] : "Modifying the network name is permitted, as long as it was not marked to be applied to hosts. Therefore attempt to modify network name and applying it to hosts will be blocked." 

The motivation to prevent network name change is to maintain a simple functionality using the 'sync network'. Supporting network name renaming will require a further work in constructing more complex (yet achievable) setup networks commands to the hosts.

So as long as turning the VMs off before applying the change the network is acceptable, [1] should cover the current RFE.


[1] http://www.ovirt.org/index.php?title=Features/EditProvisionedNetwork
[2] http://www.ovirt.org/index.php?title=Features/EditProvisionedNetwork#User_Experience
Comment 7 Itamar Heim 2014-06-22 05:39:03 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.